package java.security.cert;

import java.security.PublicKey;

public class PKIXCertPathBuilderResult extends PKIXCertPathValidatorResult implements CertPathBuilderResult
{
    private CertPath certPath;
    
    public PKIXCertPathBuilderResult(CertPath certPath, TrustAnchor trustAnchor, PolicyNode policyNode, PublicKey publicKey) {
        super(trustAnchor, policyNode, publicKey);
        if (certPath == null) {
            throw new NullPointerException("certPath must be non-null");
        }
        this.certPath = certPath;
        return;
    }
    
    @Override
    public CertPath getCertPath() {
        return this.certPath;
    }
    
    @Override
    public String toString() {
        StringBuffer sb = new StringBuffer();
        sb.append("PKIXCertPathBuilderResult: [\n");
        sb.append("  Certification Path: " + this.certPath + "\n");
        sb.append("  Trust Anchor: " + this.getTrustAnchor().toString() + "\n");
        sb.append("  Policy Tree: " + String.valueOf(this.getPolicyTree()) + "\n");
        sb.append("  Subject Public Key: " + this.getPublicKey() + "\n");
        sb.append("]");
        return sb.toString();
    }
}
